icegridregistry(1)

NAME

icegridregistry - The IceGrid registry server.

SYNOPSIS

icegridregistry [options] [command...]

DESCRIPTION

The IceGrid registry is a centralized repository of information, including deployed applications and well-known objects. A registry can optionally be collocated with an IceGrid node, which conserves resources and can be convenient during development and testing. The registry server is implemented by the icegridregistry executable. Full documentation for icegridregistry is available online at:
https://docs.zeroc.com/ice/3.8/cpp/icegridregistry

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the Ice version.

--daemon
    Run as a daemon.

--pidfile FILE
    Write process ID into FILE.

--noclose
    Do not close open file descriptors.

--nochdir
    Do not change the current working directory.

--readonly
    Start the master registry in read-only mode.

    TP --initdb-from-replica REPLICA
    Initialize the registry database from the given replica.

SEE ALSO

icegridadmin(1), icegriddb(1), icegridnode(1)